"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/test.lambda.ts
var test_lambda_exports = {};
__export(test_lambda_exports, {
  handler: () => handler
});
module.exports = __toCommonJS(test_lambda_exports);
var import_client_sfn = require("@aws-sdk/client-sfn");
var sfn = new import_client_sfn.SFNClient();
async function handler(input) {
  if (input.RequestType == "Create" || input.RequestType == "Update") {
    const exec = await sfn.send(new import_client_sfn.StartExecutionCommand({ stateMachineArn: input.ResourceProperties.StepFunctionArn }));
    return { PhysicalResourceId: exec.executionArn };
  }
  return { PhysicalResourceId: input.PhysicalResourceId };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  handler
});
