import * as lambda from 'aws-cdk-lib/aws-lambda';
import { Construct } from 'constructs';
/**
 * Props for FindSnapshotFunction
 */
export interface FindSnapshotFunctionProps extends lambda.FunctionOptions {
}
/**
 * An AWS Lambda function which executes src/find-snapshot.
 */
export declare class FindSnapshotFunction extends lambda.Function {
    constructor(scope: Construct, id: string, props?: FindSnapshotFunctionProps);
}
