export interface ParametersInput {
    executionId: string;
    isCluster: boolean;
    databaseIdentifier: string;
    databaseKey: string;
    snapshotPrefix: string;
    tempPrefix: string;
}
interface ParametersOutput {
    databaseIdentifier: string;
    isCluster: boolean;
    engine: string;
    tempSnapshotId: string;
    tempEncSnapshotId: string;
    tempDbId: string;
    tempDbInstanceId: string;
    tempDbInstanceClass: string;
    targetSnapshotId: string;
    dockerImage: string;
    tempDb: {
        host: {
            endpoint: string;
        };
        port: string;
        user: string;
        password: string;
    };
}
export declare function handler(input: ParametersInput): Promise<ParametersOutput>;
export {};
